Class | XMLRPC::Service::BasicInterface
In: | xmlrpc/utils.rb
Parent: | Object

base class for Service Interface definitions, used by BasicServer#add_handler

### Methods

add_method new

### Attributes

methods | [R] |
prefix | [R] |

### Public Class methods

new(prefix)

[Source]

    # File xmlrpc/utils.rb, line 66
        def initialize(prefix)
          @prefix = prefix
          @methods = []
        end

### Public Instance methods

add_method(sig, help=nil, meth_name=nil)

[Source]

    # File xmlrpc/utils.rb, line 71
        def add_method(sig, help=nil, meth_name=nil)
          mname = nil
          sig = [sig] if sig.kind_of? String

          sig = sig.collect do |s|
            name, si = parse_sig(s)
            raise "Wrong signatures!" if mname != nil and name != mname
            mname = name
            si
          end

          @methods << [mname, meth_name || mname, sig, help]
        end

[Validate]